Przeglądaj źródła

Merge pull request #597 from dgibbs64/fixes

fixes now managed by fix.sh
Daniel Gibbs 10 lat temu
rodzic
commit
42e9f3f27b

+ 2 - 8
functions/command_debug.sh

@@ -10,6 +10,7 @@ local modulename="Debug"
 function_selfname="$(basename $(readlink -f "${BASH_SOURCE[0]}"))"
 
 check.sh
+fix.sh
 info_distro.sh
 fn_parms
 echo ""
@@ -52,15 +53,8 @@ fn_scriptlog "Started debug"
 sleep 1
 echo -en "\n"
 cd "${executabledir}"
+fix.sh
 if [ "${engine}" == "source" ]||[ "${engine}" == "goldsource" ]; then
-	if [ "${gamename}" == "Counter Strike: Global Offensive" ]; then
-		startfix=1
-		fix_csgo.sh
-	elif [ "${gamename}" == "Insurgency" ]; then
-		fix_ins.sh
-	elif [ "${gamename}" == "ARMA 3" ]; then
-		fix_arma3.sh	
-	fi
 	${executable} ${parms} -debug
 else
 	${executable} ${parms}

+ 1 - 1
functions/command_details.sh

@@ -499,7 +499,7 @@ echo -e "Change ports by editing the parameters in"
 echo -e "hwserver script"
 echo -e ""
 echo -e "Useful port diagnostic command:"
-echo -e "netstat -atunp | grep Hurtworld.x86"
+echo -e "netstat -atunp | grep Hurtworld"
 echo -e ""
 {
 	echo -e "DESCRIPTION\tDIRECTION\tPORT\tPROTOCOL"

+ 1 - 11
functions/command_install.sh

@@ -23,28 +23,18 @@ elif [ "${gamename}" == "Teamspeak 3" ]; then
 elif [ ! -z "${appid}" ]; then
 	install_steamcmd.sh
 	install_serverfiles.sh
-	install_fix_steam.sh
 fi
 
 # Configuration
-fix_glibc.sh
+fix.sh
 install_logs.sh
 install_gsquery.sh
 install_config.sh
 if [ "${gamename}" == "Counter Strike: Global Offensive" ]; then
 	install_gslt.sh
-	fix_csgo.sh
 elif [ "${gamename}" == "Teamspeak 3" ]; then
 	install_ts3db.sh
 elif [ "${gamename}" == "Team Fortress 2" ]; then
 	install_gslt.sh
-elif [ "${gamename}" == "Killing Floor" ]; then
-	install_fix_kf.sh
-elif [ "${gamename}" == "Red Orchestra: Ostfront 41-45" ]; then
-	install_fix_ro.sh
-elif [ "${gamename}" == "Unreal Tournament 2004" ]; then
-	install_fix_ut2k4.sh
-elif [ "${gamename}" == "Unreal Tournament 99" ]; then
-	install_fix_ut99.sh
 fi
 install_complete.sh

+ 1 - 10
functions/command_start.sh

@@ -73,16 +73,7 @@ echo -en "\n"
 
 fn_start_tmux(){
 check.sh
-
-if [ "${gamename}" == "Counter Strike: Global Offensive" ]; then
-	startfix=1
-	fix_csgo.sh
-elif [ "${gamename}" == "Insurgency" ]; then
-	fix_ins.sh
-elif [ "${gamename}" == "ARMA 3" ]; then
-	fix_arma3.sh	
-fi
-
+fix.sh
 info_config.sh
 fn_parms
 logs.sh

+ 1 - 4
functions/command_validate.sh

@@ -34,10 +34,7 @@ else
 	${unbuffer} ./steamcmd.sh +login "${steamuser}" "${steampass}" +force_install_dir "${filesdir}" +app_update "${appid}" validate +quit|tee -a "${scriptlog}"
 fi
 
-if [ "${gamename}" == "Counter Strike: Global Offensive" ]; then
-	echo -e '\n'
-	fix_csgo.sh
-fi
+fix.sh
 fn_scriptlog "Checking complete"
 }
 

+ 31 - 26
functions/core_functions.sh

@@ -165,6 +165,11 @@ fn_runfunction
 
 # Fix
 
+fix.sh(){
+functionfile="${FUNCNAME}"
+fn_runfunction
+}
+
 fix_arma3.sh(){
 functionfile="${FUNCNAME}"
 fn_runfunction
@@ -180,6 +185,31 @@ functionfile="${FUNCNAME}"
 fn_runfunction
 }
 
+fix_steamcmd.sh(){
+functionfile="${FUNCNAME}"
+fn_runfunction
+}
+
+fix_glibc.sh(){
+functionfile="${FUNCNAME}"
+fn_runfunction
+}
+
+fix_ro.sh(){
+functionfile="${FUNCNAME}"
+fn_runfunction
+}
+
+fix_kf.sh(){
+functionfile="${FUNCNAME}"
+fn_runfunction
+}
+
+fix_ut2k4.sh(){
+functionfile="${FUNCNAME}"
+fn_runfunction
+}
+
 
 # Info
 
@@ -269,11 +299,6 @@ functionfile="${FUNCNAME}"
 fn_runfunction
 }
 
-fix_glibc.sh(){
-functionfile="${FUNCNAME}"
-fn_runfunction
-}
-
 install_gsquery.sh(){
 functionfile="${FUNCNAME}"
 fn_runfunction
@@ -289,11 +314,6 @@ functionfile="${FUNCNAME}"
 fn_runfunction
 }
 
-install_fix_kf.sh(){
-functionfile="${FUNCNAME}"
-fn_runfunction
-}
-
 install_logs.sh(){
 functionfile="${FUNCNAME}"
 fn_runfunction
@@ -304,11 +324,6 @@ functionfile="${FUNCNAME}"
 fn_runfunction
 }
 
-install_fix_ro.sh(){
-functionfile="${FUNCNAME}"
-fn_runfunction
-}
-
 install_serverdir.sh(){
 functionfile="${FUNCNAME}"
 fn_runfunction
@@ -323,11 +338,6 @@ functionfile="${FUNCNAME}"
 fn_runfunction
 }
 
-install_fix_steam.sh(){
-functionfile="${FUNCNAME}"
-fn_runfunction
-}
-
 install_ts3.sh(){
 functionfile="${FUNCNAME}"
 fn_runfunction
@@ -343,11 +353,6 @@ functionfile="${FUNCNAME}"
 fn_runfunction
 }
 
-install_fix_ut2k4.sh(){
-functionfile="${FUNCNAME}"
-fn_runfunction
-}
-
 install_ut2k4_key.sh(){
 functionfile="${FUNCNAME}"
 fn_runfunction
@@ -363,7 +368,7 @@ functionfile="${FUNCNAME}"
 fn_runfunction
 }
 
-install_fix_ut99.sh(){
+fix_ut99.sh(){
 functionfile="${FUNCNAME}"
 fn_runfunction
 }

+ 42 - 0
functions/fix.sh

@@ -0,0 +1,42 @@
+#!/bin/bash
+# LGSM fix.sh function
+# Author: Daniel Gibbs
+# Website: http://gameservermanagers.com
+lgsm_version="301215"
+
+# Description: Overall function for managing fixes.
+# Runs functions that will fix an issue.
+
+# Fixes that are run on start
+if [ "${function_selfname}" != "command_install.sh" ]; then
+	if [ ! -z "${appid}" ]; then
+		fix_steamcmd.sh
+	fi	
+
+	if [ "${gamename}" == "Counter Strike: Global Offensive" ]; then
+		startfix=1
+		fix_csgo.sh
+	elif [ "${gamename}" == "Insurgency" ]; then
+		fix_ins.sh
+	elif [ "${gamename}" == "ARMA 3" ]; then
+		fix_arma3.sh	
+	fi
+fi
+
+# Fixes that are run on install only.
+if [ "${function_selfname}" == "command_install.sh" ]; then
+	fix_glibc.sh
+	echo ""
+	echo "Applying ${gamename} Server Fixes"
+	echo "================================="
+	sleep 1
+	if [ "${gamename}" == "Killing Floor" ]; then
+		fix_kf.sh
+	elif [ "${gamename}" == "Red Orchestra: Ostfront 41-45" ]; then
+		fix_ro.sh
+	elif [ "${gamename}" == "Unreal Tournament 2004" ]; then
+		fix_ut2k4.sh
+	elif [ "${gamename}" == "Unreal Tournament 99" ]; then
+		fix_ut99.sh
+	fi
+fi

+ 24 - 2
functions/fix_arma3.sh

@@ -2,10 +2,32 @@
 # LGSM fix_arma3.sh function
 # Author: Daniel Gibbs
 # Website: http://gameservermanagers.com
-lgsm_version="271215"
+lgsm_version="301215"
 
 # Fixes line 63: 20150 Segmentation fault (core dumped) #488
 
+fn_msg_start(){
+	fn_printdots "Applying ${fixname} fix: ${gamename}"
+	sleep 1
+	fn_printinfo "Applying ${fixname} fix: ${gamename}"
+	fn_scriptlog "Applying ${fixname} fix: ${gamename}"
+	sleep 1
+}
+
+fn_msg_end(){
+	if [ $? -ne 0 ]; then
+		fn_printfailnl "Applying ${fixname} fix: ${gamename}"
+		fn_scriptlog "Failure! Applying ${fixname} fix: ${gamename}"
+	else
+		fn_printoknl "Applying ${fixname} fix: ${gamename}"
+		fn_scriptlog "Complete! Applying ${fixname} fix: ${gamename}"
+	fi	
+}
+
+# Fixes: server not always creating steam_appid.txt file.
 if [ -d "${rootdir}/.local/share/Arma\ 3" ]; then
+	local fixname="20150 Segmentation fault (core dumped)"
+	fn_msg_start
 	mkdir -p "${rootdir}/.local/share/Arma\ 3"
-fi
+	fn_msg_end
+fi

+ 34 - 61
functions/fix_csgo.sh

@@ -2,87 +2,60 @@
 # LGSM fix_csgo.sh function
 # Author: Daniel Gibbs
 # Website: http://gameservermanagers.com
-lgsm_version="271215"
+lgsm_version="301215"
 
 # Description: Resolves various issues with csgo.
 
-# Fixed server not always creating steam_appid.txt file.
-fn_csgoappfix(){
-if [ ! -f "${filesdir}/steam_appid.txt" ]; then
-	fn_printdots "Applying 730 steam_appid.txt Fix."
+fn_msg_start(){
+	fn_printdots "Applying ${fixname} fix: ${gamename}"
 	sleep 1
-	fn_printinfo "Applying 730 steam_appid.txt Fix."
-	fn_scriptlog "Applying 730 steam_appid.txt Fix"
+	fn_printinfo "Applying ${fixname} fix: ${gamename}"
+	fn_scriptlog "Applying ${fixname} fix: ${gamename}"
 	sleep 1
-	echo -en "\n"
+}
+
+fn_msg_end(){
+	if [ $? -ne 0 ]; then
+		fn_printfailnl "Applying ${fixname} fix: ${gamename}"
+		fn_scriptlog "Failure! Applying ${fixname} fix: ${gamename}"
+	else
+		fn_printoknl "Applying ${fixname} fix: ${gamename}"
+		fn_scriptlog "Complete! Applying ${fixname} fix: ${gamename}"
+	fi	
+}
+
+# Fixes: server not always creating steam_appid.txt file.
+if [ ! -f "${filesdir}/steam_appid.txt" ]; then
+	local fixname="730 steam_appid.txt"
+	fn_msg_start
 	echo -n "730" >> "${filesdir}/steam_appid.txt"
+	fn_msg_end
 fi
-}
 
-fn_csgofixes(){
-# Fixes the following error:
-# Error parsing BotProfile.db - unknown attribute 'Rank".
+# Fixes: Error parsing BotProfile.db - unknown attribute 'Rank'".
 if ! grep -q "//Rank" "${systemdir}/botprofile.db" > /dev/null 2>&1; then
-	echo "Applying botprofile.db fix."
-	sleep 1
-	echo ""
-	echo "botprofile.db fix removes the following error from appearing on the console:"
-	echo "	Error parsing BotProfile.db - unknown attribute 'Rank"
-	sleep 1
+	local fixname="botprofile.db"
+	fn_msg_start
 	sed -i 's/\tRank/\t\/\/Rank/g' "${systemdir}/botprofile.db" > /dev/null 2>&1
-	if [ $? -ne 0 ]; then
-		fn_printfailure "Applying botprofile.db fix."
-	else
-		fn_printcomplete "Applying botprofile.db fix."
-	fi
-	echo -en "\n"
-	echo ""
+	fn_msg_end
 fi
 
-# Fixes errors simular to the following:
-# Unknown command "cl_bobamt_vert".
+# Fixes: Unknown command "cl_bobamt_vert".
 if ! grep -q "//exec default" "${servercfgdir}/valve.rc" > /dev/null 2>&1 || ! grep -q "//exec joystick" "${servercfgdir}/valve.rc" > /dev/null 2>&1; then
-	echo "Applying valve.rc fix."
-	sleep 1
-	echo ""	
-	echo "valve.rc fix removes the following error from appearing on the console:"
-	echo "	Unknown command \"cl_bobamt_vert\""
-	sleep 1
+	local fixname="valve.rc"
+	fn_msg_start
 	sed -i 's/exec default.cfg/\/\/exec default.cfg/g' "${servercfgdir}/valve.rc" > /dev/null 2>&1
 	sed -i 's/exec joystick.cfg/\/\/exec joystick.cfg/g' "${servercfgdir}/valve.rc" > /dev/null 2>&1
-	if [ $? -ne 0 ]; then
-		fn_printfailure "Applying valve.rc fix."
-	else
-		fn_printcomplete "Applying valve.rc fix."
-	fi
-	echo -en "\n"
-	echo ""
+	fn_msg_end
 fi
 
-# Fixes errors simular to the following:
+# Fixes: workshop map issue.
 # http://forums.steampowered.com/forums/showthread.php?t=3170366.
 if [ -f "${systemdir}/subscribed_collection_ids.txt" ]||[ -f "${systemdir}/subscribed_file_ids.txt" ]||[ -f "${systemdir}/ugc_collection_cache.txt" ]; then
-	echo "workshopmapfix fixes the following error:"
-	echo "	http://forums.steampowered.com/forums/showthread.php?t=3170366"
-	sleep 1
-	echo ""
-	echo "Applying workshopmap fix."
-	sleep 1
+	local fixname="workshop map"
+	fn_msg_start
 	rm -f "${systemdir}/subscribed_collection_ids.txt"
 	rm -f "${systemdir}/subscribed_file_ids.txt"
 	rm -f "${systemdir}/ugc_collection_cache.txt"
-	if [ $? -ne 0 ]; then
-		fn_printfailure "Applying workshopmap fix."
-	else
-		fn_printcomplete "Applying workshopmap fix."
-	fi
-	echo -en "\n"
-	echo ""
-fi
-}
-
-if [ ! -z "${startfix}" ]; then
-	fn_csgoappfix
-else
-	fn_csgofixes
+	fn_msg_end
 fi

+ 1 - 3
functions/install_fix_kf.sh → functions/fix_kf.sh

@@ -1,11 +1,9 @@
 #!/bin/bash
-# LGSM install_fix_kf.sh function
+# LGSM fix_kf.sh function
 # Author: Daniel Gibbs
 # Website: http://gameservermanagers.com
 lgsm_version="271215"
 
-echo "Applying ${gamename} Server Fixes"
-echo "================================="
 echo "Applying WebAdmin ROOst.css fix."
 echo "http://forums.tripwireinteractive.com/showpost.php?p=585435&postcount=13"
 sed -i 's/none}/none;/g' "${filesdir}/Web/ServerAdmin/ROOst.css"

+ 3 - 5
functions/install_fix_ro.sh → functions/fix_ro.sh

@@ -1,17 +1,15 @@
 #!/bin/bash
-# LGSM install_fix_ro.sh function
+# LGSM fix_ro.sh function
 # Author: Daniel Gibbs
 # Website: http://gameservermanagers.com
 lgsm_version="271215"
 
-echo "Applying ${gamename} Server Fixes"
-echo "================================="
-echo "Applying WebAdmin ROOst.css fix!"
+echo "Applying WebAdmin ROOst.css fix."
 echo "http://forums.tripwireinteractive.com/showpost.php?p=585435&postcount=13"
 sed -i 's/none}/none;/g' "${filesdir}/Web/ServerAdmin/ROOst.css"
 sed -i 's/underline}/underline;/g' "${filesdir}/Web/ServerAdmin/ROOst.css"
 sleep 1
-echo "Applying WebAdmin CharSet fix!"
+echo "Applying WebAdmin CharSet fix."
 echo "http://forums.tripwireinteractive.com/showpost.php?p=442340&postcount=1"
 sed -i 's/CharSet="iso-8859-1"/CharSet="utf-8"/g' "${systemdir}/uweb.int"
 sleep 1

+ 70 - 0
functions/fix_steamcmd.sh

@@ -0,0 +1,70 @@
+#!/bin/bash
+# LGSM fix_steamcmd.sh function
+# Author: Daniel Gibbs
+# Website: http://gameservermanagers.com
+lgsm_version="301215"
+
+# Description: fixes various issues related to steamCMD.
+
+fn_msg_start(){
+	fn_printdots "Applying ${fixname} fix: ${gamename}"
+	sleep 1
+	fn_printinfo "Applying ${fixname} fix: ${gamename}"
+	fn_scriptlog "Applying ${fixname} fix: ${gamename}"
+	sleep 1
+}
+
+fn_msg_end(){
+	if [ $? -ne 0 ]; then
+		fn_printfailnl "Applying ${fixname} fix: ${gamename}"
+		fn_scriptlog "Failure! Applying ${fixname} fix: ${gamename}"
+	else
+		fn_printoknl "Applying ${fixname} fix: ${gamename}"
+		fn_scriptlog "Complete! Applying ${fixname} fix: ${gamename}"
+	fi	
+}
+
+
+# Fixes: [S_API FAIL] SteamAPI_Init() failed; unable to locate a running instance of Steam,or a local steamclient.so.
+if [ ! -f "${HOME}/.steam/sdk32/steamclient.so" ]; then
+	local fixname="steamclient.so general"
+	fn_msg_start
+	mkdir -pv "${HOME}/.steam/sdk32" >> "${scriptlog}"
+	cp -v "${rootdir}/steamcmd/linux32/steamclient.so" "${HOME}/.steam/sdk32/steamclient.so" >> "${scriptlog}"
+	fn_msg_end
+fi
+
+if [ "${gamename}" == "Garry's Mod" ]; then
+	# Fixes: .steam/sdk32/libsteam.so: cannot open shared object file: No such file or directory
+	if [ ! -f "${HOME}/.steam/sdk32/libsteam.so" ]; then
+		local fixname="libsteam.so"
+		fn_msg_start
+		mkdir -pv "${HOME}/.steam/sdk32" >> "${scriptlog}"
+		cp -v "${filesdir}/bin/libsteam.so" "${HOME}/.steam/sdk32/libsteam.so" >> "${scriptlog}"
+		fn_msg_end
+	fi
+elif [ "${gamename}" == "Serious Sam 3: BFE" ]; then
+	# Fixes: .steam/bin32/libsteam.so: cannot open shared object file: No such file or directory
+	if [ ! -f "${HOME}/.steam/bin32/libsteam.so" ]; then
+		local fixname="libsteam.so"
+		fn_msg_start
+		mkdir -pv "${HOME}/.steam/bin32" >> "${scriptlog}"
+		cp -v "${filesdir}/Bin/libsteam.so" "${HOME}/.steam/bin32/libsteam.so" >> "${scriptlog}"
+		fn_msg_end
+	fi
+elif [ "${gamename}" == "Hurtworld" ]; then
+	# Fixes: [S_API FAIL] SteamAPI_Init() failed; unable to locate a running instance of Steam, or a local steamclient.so.
+
+	if [ ! -f "${filesdir}/Hurtworld_Data/Plugins/x86/steamclient.so" ]; then
+		local fixname="steamclient.so x86"
+		fn_msg_start
+		cp -v "${rootdir}/steamcmd/linux32/steamclient.so" "${filesdir}/Hurtworld_Data/Plugins/x86/steamclient.so" >> "${scriptlog}"
+		fn_msg_end
+	fi	
+	if [ ! -f "${filesdir}/Hurtworld_Data/Plugins/x86_64/steamclient.so" ]; then
+		local fixname="steamclient.so x86_64"
+		fn_msg_start	
+		cp -v "${rootdir}/steamcmd/linux32/steamclient.so" "${filesdir}/Hurtworld_Data/Plugins/x86_64/steamclient.so" >> "${scriptlog}"
+		fn_msg_end
+	fi
+fi

+ 1 - 3
functions/install_fix_ut2k4.sh → functions/fix_ut2k4.sh

@@ -1,11 +1,9 @@
 #!/bin/bash
-# LGSM install_fix_ut2k4.sh function
+# LGSM fix_ut2k4.sh function
 # Author: Daniel Gibbs
 # Website: http://gameservermanagers.com
 lgsm_version="271215"
 
-echo "Applying ${gamename} Server Fixes"
-echo "================================="
 echo "applying WebAdmin ut2003.css fix."
 echo "http://forums.tripwireinteractive.com/showpost.php?p=585435&postcount=13"
 sed -i 's/none}/none;/g' "${filesdir}/Web/ServerAdmin/ut2003.css"

+ 1 - 3
functions/install_fix_ut99.sh → functions/fix_ut99.sh

@@ -1,11 +1,9 @@
 #!/bin/bash
-# LGSM install_fix_ut99.sh function
+# LGSM fix_ut99.sh function
 # Author: Daniel Gibbs
 # Website: http://gameservermanagers.com
 lgsm_version="271215"
 
-echo "Applying ${gamename} Server Fixes"
-echo "================================="
 echo "enabling UdpServerUplink."
 {
 echo "[IpServer.UdpServerUplink]"

+ 2 - 0
functions/install_dl_ut2k4.sh

@@ -4,8 +4,10 @@
 # Website: http://gameservermanagers.com
 lgsm_version="271215"
 
+echo ""
 echo "Downloading Server Files"
 echo "================================="
+sleep 1
 cd "${filesdir}"
 if [ ! -f dedicatedserver3339-bonuspack.zip ]; then
 	wget http://gameservermanagers.com/files/ut2004/dedicatedserver3339-bonuspack.zip

+ 2 - 0
functions/install_dl_ut99.sh

@@ -4,8 +4,10 @@
 # Website: http://gameservermanagers.com
 lgsm_version="271215"
 
+echo ""
 echo "Downloading Server Files"
 echo "================================="
+sleep 1
 cd "${filesdir}"
 if [ ! -f ut-server-436.tar.gz ]; then
 	wget http://gameservermanagers.com/files/ut99/ut-server-436.tar.gz

+ 0 - 39
functions/install_fix_steam.sh

@@ -1,39 +0,0 @@
-#!/bin/bash
-# LGSM install_fix_steam.sh function
-# Author: Daniel Gibbs
-# Website: http://gameservermanagers.com
-lgsm_version="271215"
-
-fn_steamclientfix(){
-echo ""
-echo "Applying steamclient.so fix"
-echo "================================="
-sleep 1
-mkdir -pv "${HOME}/.steam/sdk32"
-cp -v "${rootdir}/steamcmd/linux32/steamclient.so" "${HOME}/.steam/sdk32/steamclient.so"
-sleep 1
-}
-
-# Server specific
-fn_libsteamfix(){
-echo ""
-echo "Applying libsteam.so and steamclient.so fixes"
-echo "================================="
-sleep 1
-if [ "${gamename}" == "Garry's Mod" ]; then
-	mkdir -pv "${HOME}/.steam/sdk32"
-	cp -v "${filesdir}/bin/libsteam.so" "${HOME}/.steam/sdk32/libsteam.so"
-elif [ "${gamename}" == "Serious Sam 3: BFE" ]; then
-	mkdir -pv "${HOME}/.steam/bin32"
-	cp -v "${filesdir}/Bin/libsteam.so" "${HOME}/.steam/bin32/libsteam.so"
-elif [ "${gamename}" == "Hurtworld" ]; then
-	cp -v "${rootdir}/steamcmd/linux32/steamclient.so" "${filesdir}/Hurtworld_Data/Plugins/x86/steamclient.so"
-	cp -v "${rootdir}/steamcmd/linux32/steamclient.so" "${filesdir}/Hurtworld_Data/Plugins/x86_64/steamclient.so"
-fi
-sleep 1
-}
-
-fn_steamclientfix
-if [ "${gamename}" == "Garry's Mod" ]||[ "${gamename}" == "Serious Sam 3: BFE" ]||[ "${gamename}" == "Hurtworld" ]; then
-	fn_libsteamfix
-fi

+ 1 - 0
functions/install_serverdir.sh

@@ -7,6 +7,7 @@ lgsm_version="271215"
 echo ""
 echo "Server Directory"
 echo "================================="
+sleep 1
 echo ""
 pwd
 echo ""

+ 1 - 0
functions/install_steamcmd.sh

@@ -9,6 +9,7 @@ lgsm_version="271215"
 echo ""
 echo "Installing SteamCMD"
 echo "================================="
+sleep 1
 steamcmddir="${rootdir}/steamcmd"
 if [ ! -f "${steamcmddir}/steamcmd.sh" ]; then
 	if [ ! -d "${steamcmddir}" ]; then

+ 1 - 0
functions/install_ts3db.sh

@@ -9,6 +9,7 @@ fn_install_ts3db_mariadb(){
 	echo ""
 	echo "checking if libmariadb2 is installed"
 	echo "================================="
+	sleep 1
 	ldd ${filesdir}/libts3db_mariadb.so | grep "libmariadb.so.2 => not found"
 	if [ $? -eq 0 ]; then
 		echo "libmariadb2 not installed. Please install it first."

+ 1 - 0
functions/install_ut2k4.sh

@@ -4,6 +4,7 @@
 # Website: http://gameservermanagers.com
 lgsm_version="271215"
 
+echo ""
 echo "Installing ${gamename} Server"
 echo "================================="
 sleep 1

+ 1 - 0
functions/install_ut2k4_key.sh

@@ -4,6 +4,7 @@
 # Website: http://gameservermanagers.com
 lgsm_version="271215"
 
+echo ""
 echo "Enter ${gamename} CD Key"
 echo "================================="
 sleep 1

+ 1 - 0
functions/install_ut99.sh

@@ -4,6 +4,7 @@
 # Website: http://gameservermanagers.com
 lgsm_version="271215"
 
+echo ""
 echo "Installing ${gamename} Server"
 echo "================================="
 sleep 1

+ 1 - 4
functions/update_dl.sh

@@ -24,10 +24,7 @@ else
 	${unbuffer} ./steamcmd.sh +login "${steamuser}" "${steampass}" +force_install_dir "${filesdir}" +app_update "${appid}" +quit|tee -a "${scriptlog}"
 fi
 
-if [ "${gamename}" == "Counter Strike: Global Offensive" ]; then
-	echo -e '\n'
-	fix_csgo.sh
-fi
+fix.sh
 }
 
 fn_teamspeak3_dl(){